Bug 432197 - Asterisk logfiles not correctly rotated
Asterisk logfiles not correctly rotated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 13:43 EST by Sven-Olof Klasson
Modified: 2015-03-02 05:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 09:10:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven-Olof Klasson 2008-02-09 13:43:38 EST
Description of problem:
Asterisk logfiles are rotated twice when logrotate runs. First logrotate rotate
the files as usual. Then asterisk rotates the logfiles a second time as
/etc/logrotate.d/asterisk contains "asterisk -rx 'logger rotate'"

Version-Release number of selected component (if applicable):
asterisk-1.4.17-1.fc8

How reproducible:
Allways

Steps to Reproduce:
1. Make asterisk write something to the logfiles (for example restart asterisk)
2. /usr/sbin/logrotate -f /etc/logrotate.conf
  
Actual results:
# cd /var/log/asterisk
# ls -li messages*
32863 -rw------- 1 root root 1387 2008-02-09 19:09 messages
# /usr/sbin/logrotate -f /etc/logrotate.conf
# ls -li messages*
33485 -rw------- 1 root root    0 2008-02-09 19:10 messages
33448 -rw-r----- 1 root root    0 2008-02-09 19:10 messages.0
32863 -rw------- 1 root root 1387 2008-02-09 19:09 messages-20080209

Expected results:
The messages.0 file should not have been created

Additional info:
Suggest using "logger reload" instead of "logger rotate" in
/etc/logrotate.d/asterisk

More information here
http://www.voip-info.org/tiki-index.php?page=logrotate
Comment 1 Fedora Update System 2008-02-19 08:59:23 EST
asterisk-1.4.18-1.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-02-19 10:55:42 EST
asterisk-1.4.18-1.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-20 21:53:28 EST
asterisk-1.4.18-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1854
Comment 4 Bug Zapper 2008-11-26 04:45:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeffrey C. Ollie 2008-11-26 09:10:22 EST
Is this still an issue?  I'm going to close this bug out.  Re-open if it's still a problem.
Comment 6 Juha Tuomala 2015-03-02 05:18:31 EST
asterisk-0:1.8.32.1-1.el6.x86_64 Centos 6 here and still exists.


-rw-r-----. 1 asterisk asterisk  24755 Nov 27 04:42 messages-20141127.gz
-rw-r-----. 1 asterisk asterisk   9614 Dec 10 03:46 messages-20141210.gz
-rw-r-----. 1 asterisk asterisk  27544 Jan  8 03:43 messages-20150108.gz
-rw-r-----. 1 asterisk asterisk      0 Jan 17 03:17 messages
-rw-r-----. 1 asterisk asterisk 189767 Jan 17 03:17 messages-20150117.gz

Reopen or duplicate for EPEL please.

Note You need to log in before you can comment on or make changes to this bug.